## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 8;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Unset -s on python shebang - ensure that extensions installed with pip
# to user locations are seen and properly loaded
%global py3_shebang_flags %(echo %py3_shebang_flags | sed s/s//)

%global srcname jupyter-console
%global srcname_ jupyter_console

Name:           python-%{srcname}
Version:        6.6.3
Release:        %autorelease
Summary:        Jupyter terminal console

License:        BSD-3-Clause
URL:            https://jupyter.org
Source0:        %pypi_source %{srcname_}

BuildArch:      noarch

BuildRequires:  python3-devel

%description
An IPython-like terminal frontend for Jupyter kernels in any language.


%package -n     python3-%{srcname}
Summary:        %{summary}

BuildRequires:  python3dist(pillow)

%description -n python3-%{srcname}
An IPython-like terminal frontend for Jupyter kernels in any language.


%package -n python-%{srcname}-doc
Summary:        jupyter-console documentation

BuildArch: noarch

BuildRequires:  make
BuildRequires:  python3dist(sphinx)
BuildRequires:  python3dist(sphinx-rtd-theme)
BuildRequires:  python3dist(sphinxcontrib-github-alt)

%description -n python-%{srcname}-doc
Documentation for jupyter-console


%prep
%autosetup -n %{srcname_}-%{version} -p1

%generate_buildrequires
%pyproject_buildrequires -x test

%build
%pyproject_wheel

# generate html docs
%make_build -C docs html PYTHONPATH=$PWD
mv docs/_build/html .
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%pyproject_install
%pyproject_save_files %{srcname_}

%check
%{pytest} -ra

# assert we can start the console ad run a simple command
export PATH=%{buildroot}%{_bindir}:$PATH
export PYTHONPATH=%{buildroot}%{python3_sitelib}
echo 'exit()' | jupyter-console --simple-prompt

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md
%{_bindir}/%{srcname}

%files -n python-%{srcname}-doc
%doc html
%license LICENSE


%changelog
## START: Generated by rpmautospec
* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 6.6.3-7
- Rebuilt for Python 3.13

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.6.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 6.6.3-3
- Rebuilt for Python 3.12

* Sun Mar 26 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.6.3-1
- Update to latest version (#2171909)

* Mon Feb 20 2023 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.5.1-1
- Update to latest version (#2168691)

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sun Jul 31 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.4-1
- Update to latest version (#2100170)

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 21 2022 Miro Hrončok <miro@hroncok.cz> - 6.4.3-4
- Python 3.11 compatibility: Use loop.create_task with interact()

* Wed Jun 15 2022 Python Maint <python-maint@redhat.com> - 6.4.3-3
- Rebuilt for Python 3.11

* Wed Mar 23 2022 Miro Hrončok <miro@hroncok.cz> - 6.4.3-2
- Prepare spec for multiple flags in %%py3_shebang_flags

* Thu Mar 10 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.3-1
- Update to latest version (#2061127)

* Sun Mar 06 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.2-2
- Fix doc builds

* Sun Mar 06 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.2-1
- Update to latest version (#2061127)

* Sun Mar 06 2022 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.0-12
- Switch to latest Python macros

* Tue Jan 25 2022 Miro Hrončok <mhroncok@redhat.com> - 6.4.0-8
- Further compatibility with jupyter-client 7

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Mon Nov 29 2021 Karolina Surma <ksurma@redhat.com> - 0.6.4-6
- Remove -s from Python shebang in `jupyter-console` to let Jupyter
  see pip installed extensions

* Tue Aug 31 2021 Lumír Balhar <lbalhar@redhat.com> - 0.6.4-5
- Fix compatibility with jupyter-client 7

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.4.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jul 02 2021 Miro Hrončok <mhroncok@redhat.com> - 6.4.0-3
- Support Python 3.10
- Generate the documentation completely
- Fixes: rhbz#1978009

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 6.4.0-2
- Rebuilt for Python 3.10

* Tue Mar 23 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.4.0-1
- Update to latest version (#1942249)

* Sun Mar 21 2021 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.3.0-1
- Update to latest version (#1939562)

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 6.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Aug 28 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.2.0-1
- Update to latest version (#1873638)

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 6.1.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.1.0-3
- Backport Python 3.9 fix

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 6.1.0-3
- Rebuilt for Python 3.9

* Sat May 16 2020 Itamar Reis Peixoto <itamar@ispbrasil.com.br> - 6.1.0-2
- Change spec to build with prompt_toolkit 3.0.5

* Tue Jan 28 2020 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.1.0-1
- Update to latest version

* Thu Oct 03 2019 Miro Hrončok <mhroncok@redhat.com> - 6.0.0-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <mhroncok@redhat.com> - 6.0.0-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 6.0.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu May 09 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 6.0.0-1
- Initial package.

## END: Generated by rpmautospec
